Bug 63903 - [maintainer] devel/boost: Fix on ia64
Summary: [maintainer] devel/boost: Fix on ia64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-07 23:20 UTC by Simon Barner
Modified: 2004-03-08 15:03 UTC (History)
0 users

See Also:


Attachments
patch-boost-arch (633 bytes, text/plain)
2004-03-07 23:20 UTC, Simon Barner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Barner 2004-03-07 23:20:21 UTC
According to bento, this port did not build on the ia64 architecture for an
obvious reason: The boost's bjam tool is built on an architecure
specific location, and the port's Makefile did not know about ia64 yet.

This patch fixes this problem (and possibly also on amd64), but since I do
not have access to any non i386 FreeBSD machines, I cannot verfiy that.

It is also unknown, whether the port builds and actually works ont he
named plattforms.

How-To-Repeat: 
N/A
Comment 1 Simon Barner 2004-03-08 14:49:05 UTC
Update: This patch did not work on amd64.

Thanks to arved@ who kindly provided access to one of his machines, this
problem is fixed now.

Simon

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/boost/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- Makefile	20 Feb 2004 05:32:21 -0000	1.15
+++ Makefile	8 Mar 2004 14:22:32 -0000
@@ -77,6 +77,8 @@
 BJAM=		${WRKSRC}/tools/build/jam_src/bin.freebsdaxp/bjam
 .elif ${ARCH} == sparc64
 BJAM=		${WRKSRC}/tools/build/jam_src/bin.freebsdsparc/bjam
+.elif ${ARCH} == ia64
+BJAM=		${WRKSRC}/tools/build/jam_src/bin.freebsdia64/bjam
 .else
 BJAM=		${WRKSRC}/tools/build/jam_src/bin.freebsd/bjam
 .endif
Comment 2 Tilman Keskinoz freebsd_committer 2004-03-08 15:03:27 UTC
State Changed
From-To: open->closed

committed, thanks